<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Title</title>
  </head>

  <body>
    <p id="text" style="font-size: 14px; color: red">
      Lorem ipsum dolor sit amet, consectetur adipisicing elit. Animi autem
      dolores expedita natus omnis. Accusamus assumenda error incidunt maxime
      nisi. Culpa fugit itaque labore laudantium molestias nam nesciunt repellat
      totam.
    </p>
    <button id="increase-text">Увеличить</button>
    <button id="decrease-text">Уменьшить</button>
    <!-- Напишите функцию changeTextSize, у которой будут такие аргументы:
  1. Ссылка на DOM-элемент, размер текста которого нужно изменить.
  2. Величина в px, на которую нужно изменить текст
  Возвращает функцию, меняющую размер текста на заданную величину.

С помощью этой функции создайте две:  
- одна увеличивает текст на 2px от изначального;
- вторая - уменьшает на 3px.

После чего повесьте полученнные функции в качестве  обработчиков на кнопки с id="increase-text" и id="decrease-text".
-->
    <script>
      const INCREASE_TEXT_SIZE = 2;
      const DECREASE_TEXT_SIZE = -2;

      function changeTextSize () {
        let text = document.getElementById('text');
        let size = parseInt(text.style.fontSize); // возвращаем цеым числом -не строкой 
        return function(userSize){
          size = size + userSize;
          text.style.fontSize = `${size}px`
        } 
      }

      const handleTextSize = changeTextSize();

      const increaseBtn = document.getElementById('increase-text');
      const decreaseBtn = document.getElementById('decrease-text');

      increaseBtn.addEventListener('click', () =>  handleTextSize(INCREASE_TEXT_SIZE));
      decreaseBtn.addEventListener('click', () => handleTextSize(DECREASE_TEXT_SIZE));
      // increaseTextSize(2);
    </script>
  </body>
</html>
